Sign in to follow this  
Followers 0
buckly

Am I the only one?

17 posts in this topic

I would just like to know who else feels cheated about this ATI card issue? I haven't been able to play with any stability for 3 months now. All I get is one month credit for this. The requirements say ATI Radeon X1600 series or better. A 5850 is better and can not work with this game. They still haven't put any thing up about issues with this card on that page and I feel this is miss leading. All the extra month credit I got is to allow me to QQ on the forums about a lack of info about any thing they might be trying to bring resolution to this issue.

So I sit here with my 5850, my trackir, UD5P MB, DDR3 RAM, and 965 BE I bought to upgrade so I could enjoy a better game experience. I cant go back to my 8800GTS because I sold it to help pay for my up grades. I guess it was stupid of me to spend several hundred dollars on a system upgrade for this game. But I really just wanted to enjoy the game more, and I cant even play with any consistency. Maybe that will help explain to some of you why I am so irked by this situation.

Share this post


Link to post
Share on other sites

I have just come back to WWIIOL with a fresh build of a machine, almost the exact specs as yours (955 rather than a 965) and I am getting random intermittent graphics lockups/game crashing. So I assume it is the shame issue.

Share this post


Link to post
Share on other sites

Sell 5850. Buy nvidia. Problem solved. You might lose a bit on the ATi card, but it's still new enough that you should be able to sell it for close to what you paid.

Share this post


Link to post
Share on other sites

Over the last few years I have played WWIIOL with an ATI X800 pro, an ATI X1650 and a NVIDIA GeForce 9500 GT. I have had various graphics issues with all of them, and I couldn't honestly say that one make of card was better or worse than the other.

Share this post


Link to post
Share on other sites

I play flawlessly on Nvidia using my laptop, I cant play at all with ATI 5750.

The game wont even load.

Share this post


Link to post
Share on other sites

I'm using Win 7 64 bit, with ati hd 5770 and catalyst 9.12..... everything is working fine now....

Share this post


Link to post
Share on other sites
Sell 5850. Buy nvidia. Problem solved. You might lose a bit on the ATi card' date=' but it's still new enough that you should be able to sell it for close to what you paid.[/quote']

Just not an option at this time, cant afford to loose any thing in the sale and cant afford a new card. But my point s that it should work as per their specs. Just upsetting that I cant play the game I love. I might be able to get my 8800 GTS back, but to me that would be a step backwards. The other games I play rip with the 5850. I just want them to address the issues, some call it stepping up and standing by your word.

But thanks for the in put.

Share this post


Link to post
Share on other sites

When I installed W7 64 bit I had to get rid of my ATI X1650 card becasue it had gone to legacy support, and none of the older drivers would allow WWIIOL to run.

Share this post


Link to post
Share on other sites

After reading these threads I was expecting hassles.

I put the MSI HD5850 I got myself for Christmas into my machine today, using the drivers on the installation CD (8.66.090914a-088589E-MSI), which apparently are a Catalyst 9.10 Beta release. I played for 4 hours or so with no problems. Fingers crossed.

System is Windows XP SP3, DFI P965-S Dark with 4GB Corsair and E6600@3GHZ.

For those interested, here are the 1.31 bench figures for old and new card:

9800GT HD5850

Benchremagen 54 44

Benchvehicles 30 22

Benchantwerp 36 25

Shadows High 53 62

Shadows Medium 51 62

Shadows Low 53 63

Shadows Off 59 67

Rain: Cloudy 57 64

Rain: Rainy 52 54

Clutter Maximum 46 68

Clutter Minimum 55 70

Share this post


Link to post
Share on other sites

9.10 worked for one night for me. 9.12 will play for a bit then CTD. I uninstalled the old, went to safe mode, driver cleaned, rebooted installed 9.12. And still crashes every time I play. Just a matter of time before it does. I wish it would work but it dont. Oh well.

Share this post


Link to post
Share on other sites

Just found that 9.12 is still crashing, much less than the previous driver I was on. Generally about once per hour or so. (Not sure, CCC was not reporting the driver version for some reason).

Share this post


Link to post
Share on other sites
Just found that 9.12 is still crashing' date=' much less than the previous driver I was on. Generally about once per hour or so. (Not sure, CCC was not reporting the driver version for some reason).[/quote']

Sorry to hear it got you too.

But don't worry you wont receive any support on this issue. And maybe if we are all lucky it will work with 1.31

Share this post


Link to post
Share on other sites
But don't worry you wont receive any support on this issue. And maybe if we are all lucky it will work with 1.31

I think the 1.31 must have fixed loads of code problems because the beta works fine with my dual latest generation ATI cards in crossfire (5870's I think). But I had dual Nvidia before and while I could play for a while, it would eventually crash. I resubbed a few months ago for 1.31 but it's still in beta and as slow as it's going will probably be summer before it's out so I unsubbed as $14.95 a month to post in this forum is a bit rich (since I can't play).

I didn't ask for a refund tho, maybe I should, but dang it just release 1.31 to the prod servers CRS and get off your *ss and do some work. You got your Christmas break, now it's time to do a (painful) release cycle!

Share this post


Link to post
Share on other sites
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.